// http://www.bajdi.com
// Nrf24L01 connected to Arduino Mega 2560
// Nrf24L01 connection details http://arduino-info.wikispaces.com/Nrf24L01-2.4GHz-HowTo
// Receives analog values (joystick) from transmitter and moves stepper motors left/right forward/backward
 
 
#include <SPI.h>
#include <Mirf.h>
#include <nRF24L01.h>
#include <MirfHardwareSpiDriver.h>
#include <Stepper.h>
 
const int stepsPerRevolution = 64;
 
Stepper small_stepper(stepsPerRevolution, 8,10,9,11);  
Stepper small_stepper2(stepsPerRevolution, 4,6,5,7);
 
int joystick[2];
 
void setup(){
 
  small_stepper.setSpeed(250);    // set first stepper speed
  small_stepper2.setSpeed(250);   // set second stepper speed
  Mirf.cePin = 48;             //ce pin on Mega 2560
  Mirf.csnPin = 49;            //csn pin on Mega 2560
  Mirf.spi = &MirfHardwareSpi;
  Mirf.init();
  Mirf.setRADDR((byte *)"serv1");
  Mirf.payload = sizeof(joystick);
  Mirf.config();
}
 
void loop(){
 
  while(!Mirf.dataReady()){
  }
  Mirf.getData((byte *) &joystick);
 
  if (joystick[0] < 490) { 
    small_stepper.step(1); 
  }   // step forward
  if (joystick[0] > 540) { 
    small_stepper.step(-1); 
  }  // step backward
 
  if (joystick[1] < 490) { 
    small_stepper2.step(1); 
  } // step left
  if (joystick[1] > 540) { 
    small_stepper2.step(-1); 
  } // step right
}
